<?php
/**
* リクエストディスパッチャを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface charcoal_IDispatcher
{

	/*
	 * リクエストディスパッチャ名を取得
	 */
	public function getDispatcherName();

	/*
	 * リクエストディスパッチャを初期化する
	 */
	public function init( charcoal_Config $config );

	/*
	 * ディスパッチを行う
	 *
	 * @return 文字列 ディスパッチ先のプロシージャ名
	 */
	public function dispatch( charcoal_Request $request );
}
